Index: sasmodels/models/be_polyelectrolyte.py
===================================================================
--- sasmodels/models/be_polyelectrolyte.py	(revision 97cb037a7e9ded2765c85a74cb74c0060928cecc)
+++ sasmodels/models/be_polyelectrolyte.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -133,5 +133,18 @@
                polymer_concentration='c')
 
-tests = [[{'contrast_factor':       10.0,
+tests = [
+         # Accuracy tests based on content in test/utest_other_models.py
+         [{'contrast_factor':       10.0,
+           'bjerrum_length':         7.1,
+           'virial_param':          12.0,
+           'monomer_length':        10.0,
+           'salt_concentration':     0.0,
+           'ionization_degree':      0.05,
+           'polymer_concentration':  0.7,
+           'background':             0.001,
+           }, 0.001, 0.0948379],
+
+         # Additional tests with larger range of parameters
+         [{'contrast_factor':       10.0,
            'bjerrum_length':       100.0,
            'virial_param':           3.0,
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 29da2138b6792800b3b961f991743c21f14a1abd)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -110,5 +110,26 @@
                dynamic_cor_length='dyn_colength')
 
-tests = [[{'gauss_scale_factor':  10.0,
+tests = [
+         # Accuracy tests based on content in test/utest_extra_models.py
+         [{'gauss_scale_factor':  100.0,
+           'static_cor_length':   100.0,
+           'lorentz_scale_factor': 50.0,
+           'dynamic_cor_length':   20.0,
+           }, 0.001, 149.481],
+
+         [{'gauss_scale_factor':  100.0,
+           'static_cor_length':   100.0,
+           'lorentz_scale_factor': 50.0,
+           'dynamic_cor_length':   20.0,
+           }, 0.105363, 9.1903],
+
+         [{'gauss_scale_factor':  100.0,
+           'static_cor_length':   100.0,
+           'lorentz_scale_factor': 50.0,
+           'dynamic_cor_length':   20.0,
+           }, 0.441623, 0.632811],
+
+         # Additional tests with larger range of parameters
+         [{'gauss_scale_factor':  10.0,
            'static_cor_length':  100.0,
            'lorentz_scale_factor': 3.0,
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 9c461c713e9961727442c844be3e6354d6548c2f)
+++ sasmodels/models/mass_fractal.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -98,5 +98,13 @@
                cutoff_length='co_length')
 
-tests = [[{'radius':        2.0,
+tests = [
+         # Accuracy tests based on content in test/utest_other_models.py
+         [{'radius':       10.0,
+           'mass_dim':      1.9,
+           'cutoff_length': 2.3,
+           }, 0.05, 279.59322],
+
+         # Additional tests with larger range of parameters
+         [{'radius':        2.0,
            'mass_dim':      3.3,
            'cutoff_length': 1.0,
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 9c461c713e9961727442c844be3e6354d6548c2f)
+++ sasmodels/models/mass_surface_fractal.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -106,6 +106,14 @@
                primary_rg='primary_rg')
 
-tests = [[{'radius':        2.0,
-           'mass_dim':      3.3,
+tests = [
+         # Accuracy tests based on content in test/utest_other_models.py
+         [{'mass_dim':      1.8,
+           'surface_dim':   2.3,
+           'cluster_rg':   86.7,
+           'primary_rg': 4000.0,
+           }, 0.05, 1.77537e-05],
+
+         # Additional tests with larger range of parameters
+         [{'mass_dim':      3.3,
            'surface_dim':   1.0,
            'cluster_rg':   90.0,
@@ -113,6 +121,5 @@
            }, 0.001, 0.18462699016],
 
-         [{'radius':        1.0,
-           'mass_dim':      1.3,
+         [{'mass_dim':      1.3,
            'surface_dim':   1.0,
            'cluster_rg':   90.0,
@@ -121,6 +128,5 @@
            }, 0.001, 1.16539753641],
 
-         [{'radius':        1.0,
-           'mass_dim':      2.3,
+         [{'mass_dim':      2.3,
            'surface_dim':   1.0,
            'cluster_rg':   90.0,
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision 513efc509d218370e6a8ca9cabf24f087a2de902)
+++ sasmodels/models/polymer_excl_volume.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -157,8 +157,13 @@
                porod_exp='m')
 
-tests = [[{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
+tests = [
+         # Accuracy tests based on content in test/polyexclvol_default_igor.txt
+         [{'rg': 60, 'porod_exp': 3.0}, 0.001, 0.998801],
+         [{'rg': 60, 'porod_exp': 3.0}, 0.105363, 0.0162751],
+         [{'rg': 60, 'porod_exp': 3.0}, 0.665075, 6.56261e-05],
 
+         # Additional tests with larger range of parameters
+         [{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
          [{'rg': 2.2, 'porod_exp': 22.0, 'background': 100.0}, 5.0, 100.0],
-
          [{'rg': 1.1, 'porod_exp': 1, 'background': 10.0, 'scale': 1.25},
          20000., 10.0000712097]
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 9c461c713e9961727442c844be3e6354d6548c2f)
+++ sasmodels/models/surface_fractal.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -100,5 +100,11 @@
                cutoff_length='co_length')
 
-tests = [[{'radius': 1.0, 'surface_dim': 1.0, 'cutoff_length': 10.0,
+tests = [
+         # Accuracy tests based on content in test/utest_other_models.py
+         [{'radius': 10.0, 'surface_dim': 2.0, 'cutoff_length': 500.0,
+           }, 0.05, 301428.65916],
+
+         # Additional tests with larger range of parameters
+         [{'radius': 1.0, 'surface_dim': 1.0, 'cutoff_length': 10.0,
            }, 0.332070182643, 1125.00321004],
 
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 513efc509d218370e6a8ca9cabf24f087a2de902)
+++ sasmodels/models/two_lorentzian.py	(revision 07a67009fbffd10e53d8cc1a1dc34bfb80de75c5)
@@ -117,5 +117,35 @@
                lorentz_exp_1='exponent_1',  lorentz_exp_2='exponent_2')
 
-tests = [[{'lorentz_scale_1':   10.0,
+tests = [
+         # Accuracy tests based on content in test/utest_extra_models.py
+         [{'lorentz_scale_1':   10.0,
+           'lorentz_length_1': 100.0,
+           'lorentz_exp_1':      3.0,
+           'lorentz_scale_2':    1.0,
+           'lorentz_length_2':  10.0,
+           'lorentz_exp_2':      2.0,
+           'background':         0.1,
+           }, 0.001, 11.08991],
+
+         [{'lorentz_scale_1':   10.0,
+           'lorentz_length_1': 100.0,
+           'lorentz_exp_1':      3.0,
+           'lorentz_scale_2':    1.0,
+           'lorentz_length_2':  10.0,
+           'lorentz_exp_2':      2.0,
+           'background':         0.1,
+           }, 0.150141, 0.410245],
+
+         [{'lorentz_scale_1':   10.0,
+           'lorentz_length_1': 100.0,
+           'lorentz_exp_1':      3.0,
+           'lorentz_scale_2':    1.0,
+           'lorentz_length_2':  10.0,
+           'lorentz_exp_2':      2.0,
+           'background':         0.1,
+           }, 0.442528, 0.148699],
+
+         # Additional tests with larger range of parameters
+         [{'lorentz_scale_1':   10.0,
            'lorentz_length_1': 100.0,
            'lorentz_exp_1':      3.0,
